From 342690e8af038578bbedf834caae85bcdbc2a5e0 Mon Sep 17 00:00:00 2001
From: Hayato Kuroda <kuroda.hayato@fujitsu.com>
Date: Fri, 21 Feb 2025 17:04:17 +0900
Subject: [PATCH] pg_recvlogical: Make sure -d is mandatory option

---
 doc/src/sgml/ref/pg_recvlogical.sgml | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

diff --git a/doc/src/sgml/ref/pg_recvlogical.sgml b/doc/src/sgml/ref/pg_recvlogical.sgml
index 95eb14b635..5e59611de7 100644
--- a/doc/src/sgml/ref/pg_recvlogical.sgml
+++ b/doc/src/sgml/ref/pg_recvlogical.sgml
@@ -23,6 +23,13 @@ PostgreSQL documentation
   <cmdsynopsis>
    <command>pg_recvlogical</command>
    <arg rep="repeat" choice="opt"><replaceable>option</replaceable></arg>
+   <group choice="plain">
+    <group choice="req">
+     <arg choice="plain"><option>-d</option></arg>
+     <arg choice="plain"><option>--dbname</option></arg>
+    </group>
+    <replaceable>dbname</replaceable>
+   </group>
   </cmdsynopsis>
  </refsynopsisdiv>
 
@@ -305,7 +312,7 @@ PostgreSQL documentation
          The <replaceable>dbname</replaceable> can be a <link
          linkend="libpq-connstring">connection string</link>.  If so,
          connection string parameters will override any conflicting
-         command line options.  Defaults to the user name.
+         command line options.
         </para>
        </listitem>
       </varlistentry>
-- 
2.43.5

